#include<bits/stdc++.h>
#define ll long long
#define MAXN (int)1e5+10
using namespace std;
int n, m;
ll res = 0;
ll a[MAXN];
int main()
{
    cin >> n >> m;
    for(int i=1;i<=n;i++)cin >> a[i];
    for(int i=0;i<m;i++)
    {
        int x, y; cin >> x >> y;
        res += max(-a[x]-a[y], a[x]+a[y]);
    }
    cout << res;
    return 0;
}